#!/bin/zsh

# Copyright 2015 - 2016 Paul Hänsch
#
# This file is part of Confetti.
# 
# Confetti is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# Confetti is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
# 
# You should have received a copy of the GNU Affero General Public License
# along with Confetti.  If not, see <http://www.gnu.org/licenses/>. 

catfile="${_DATA}/mappings/categories"

remove="${_POST[remove]}"
newcat="${_POST[newcat]}"

if [ "${_POST[add]}" = "add" ]; then
  printf %s\\n "$newcat" >>"$catfile"
elif [ -n "$remove" ]; then
  sed -ri '/^'"${remove}"'$/d' $catfile
fi

redirect "?p=categories"
